<nav role="navigation" [attr.aria-label]="config.i18n.pagination">
  <ul>
    <li>
      <button cui-button type="button" mode="ghost" class="pagination-first"
        [size]="size"
        [look]="look"
        [round]="look === 'button'"
        [disabled]="isFirst"
        [attr.aria-label]="config.i18n.first"
        (click)="page = page - 1"><cui-icon name="chevron-left"></cui-icon></button>
    </li>
    <ng-container *ngFor="let p of pages; index as i">
      <li><span *ngIf="i > 0 && pages[i - 1] !== p - 1" class="dots"
        [attr.data-cui-look]="look"
        [attr.data-cui-size]="size">…</span></li>
      <li>
        <button cui-button type="button"
          [mode]="page === p ? 'primary' : 'ghost'"
          [size]="size"
          [look]="look"
          [round]="look === 'button'"
          [attr.aria-label]="config.i18n.page(p + 1, page === p)"
          [attr.aria-current]="page === p || null"
          (click)="page = p">{{ p + 1 }}</button></li>
    </ng-container>
    <li>
      <button cui-button type="button" mode="ghost" class="pagination-last"
        [size]="size"
        [look]="look"
        [round]="look === 'button'"
        [disabled]="isLast"
        [attr.aria-label]="config.i18n.last"
        (click)="page = page + 1"><cui-icon name="chevron-right"></cui-icon></button>
    </li>
  </ul>
</nav>
